unit udemo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, DateCtrl, ExtCtrls;

type
  TForm1 = class(TForm)
    CalendarControl1: TCalendarControl;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure CalendarControl1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  with CalendarControl1 do
    DayNames.Visible := not DayNames.Visible;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  with CalendarControl1 do
    Wide3D := not Wide3D;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  with CalendarControl1 do
    DrawGrid := not DrawGrid;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  CalendarControl1.PrevMonth;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  CalendarControl1.NextMonth;
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
  CalendarControl1.PrevYear;
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
  CalendarControl1.NextYear;
end;

procedure TForm1.Button6Click(Sender: TObject);
var
  Y, M, D: Word;
begin
  DecodeDate(Now, Y, M, D);
  CalendarControl1.ChangeDate(Y, M, D);
end;

procedure TForm1.CalendarControl1Change(Sender: TObject);
begin
  self.Caption := CalendarControl1.GetAsString(LongDateFormat);
  Label3.Caption := IntToStr(CalendarControl1.DayOfTheYear);
  Label4.Caption := IntToStr(CalendarControl1.WeekOfTheYear);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  CalendarControl1Change(self);
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  CalendarControl1.ReadOnly := CheckBox1.Checked;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  CalendarControl1.AlwaysShowSelect := CheckBox2.Checked;
end;

end.
